#include <iostream>
#include <math.h>
using namespace std;
int main()
{
  long long p,q,r,L,M,s,t,v,i;
  int c=0;
  cin>>p>>q>>r>>L>>M;
  for(i=L;i<=M;i++)
    {
    s=i/p;
    if(i%p==0)
    {s--;}
    t=i/q;
    if(i%q==0)
    {t--;}
    v=i/r;
    if(i%r==0)
    {v--;}
    s++;
    t++;
    v++;
    cout<<s<<t<<v<<endl;
    if((s+t+v)==i)
    {c++;}
    }
    cout<<c;
   return 0;
}